/*

 Copyright 2013, 2014 SIANI - ULPGC
 Jose Juan Hernandez Cabrera
 Jose Evora Gomez
 Johan Sebastian Cortes Montenegro
 Maria del Carmen Sánchez Medrano

 This File is Part of JavaFMI Project

 JavaFMI Project is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 JavaFMI Project is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with JavaFMI Library.  If not, see <http://www.gnu.org/licenses/>.

 */
package org.javafmi;

import org.javafmi.kernel.Status;
import org.junit.Test;

import static org.javafmi.kernel.Status.OK;
import static org.junit.Assert.assertEquals;

public class ShellFMUTest {

    private static final String PATH_TO_SHELL_FMU = "/Users/itrion/SIANI/not hosted repos/JavaFMIfyer/java2fmi/src/Shell.fmu";

    @Test
    public void openingAShellFMU() {
        Simulation simulation = new Simulation(PATH_TO_SHELL_FMU);
        simulation.init(0);
        Status terminateStatus = simulation.terminate();
        assertEquals(OK, terminateStatus);
    }
}
