/*

 Copyright 2013, 2014 SIANI - ULPGC
 Jose Juan Hernandez Cabrera
 Jose Evora Gomez
 Johan Sebastian Cortes Montenegro
 Maria del Carmen Sánchez Medrano

 This File is Part of JavaFMI Project

 JavaFMI Project is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 JavaFMI Project is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with JavaFMI Library.  If not, see <http://www.gnu.org/licenses/>.

 */
package org.javafmi.exporter.framework.fmiInterface;

public class TypeUtilities {

    public static boolean[] getBooleanFromIntArray(int[] values) {
        boolean[] booleanArray = new boolean[values.length];
        for(int i = 0; i < values.length; i++) {
            booleanArray[i] = (values[i] == 1);
        }
        return booleanArray;
    }

    public static int[] getIntFromBooleanArray(boolean[] booleanArray) {
        int[] intArray = new int[booleanArray.length];
        for(int i = 0; i < booleanArray.length; i++) {
            intArray[i] = (booleanArray[i]) ? 1 : 0;
        }
        return intArray;
    }
}
