/*

 Copyright 2013, 2014 SIANI - ULPGC
 Jose Juan Hernandez Cabrera
 Jose Evora Gomez
 Johan Sebastian Cortes Montenegro
 Maria del Carmen Sánchez Medrano

 This File is Part of JavaFMI Project

 JavaFMI Project is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 JavaFMI Project is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with JavaFMI Library.  If not, see <http://www.gnu.org/licenses/>.

 */
package org.javafmi.exporter.fmubuilder;

import org.javafmi.Simulation;
import org.javafmi.v2.Access;
import org.junit.Test;

import java.io.File;

public class ExportSimulationAsFMUTest {

    @Test
    public void exportingASimulationAsFmu() {
        String myJar = "out/artifacts/Counter2/Counter.jar";
        ShellFmuBuilder builder = new ShellFmuBuilder(myJar);
        File fmu = builder.buildFMU();

        Simulation simulation = new Simulation(fmu.getPath());
        Access access = new Access(simulation);
        access.enterInitializationMode();
        access.exitInitializationMode();
        System.out.println(access.getReal(0)[0]);
       /* assertEquals(1, access.getInteger(1));
        assertEquals(true, access.getBoolean(2));
        System.out.println(access.getString(3));

        assertEquals(Status.OK, access.setReal(new int[]{0}, new double[]{0.45}));
        assertEquals(Status.OK, access.setInteger(1, 90));
        assertEquals(90, access.getInteger(1));
        access.reset();
        access.setBoolean(2, false);
        access.setString(3, "hello");
        access.doStep(1, 90.8);
        access.getRealOutputDerivatives(new String[]{"counter"});
        access.setRealInputDerivatives(new String[]{"counter"}, new double[]{90.2});*/
        access.terminate();
        access.freeInstance();
    }
}
