#!/bin/bash
rm AllTests


sources=$(find ./src -name *.cpp)
tests=$(find ./test -name *.cpp)
cutestSources="./lib/cutest/CuTest.c"

echo $sources
echo $tests

g++ -fno-exceptions -fno-rtti \
	-D__DARWIN64 \
	./src/avian/darwin64Objects/*.o \
	-lpthread -ldl -lz \
	-I${JAVA_HOME}/include -I${JAVA_HOME}/include/darwin \
	${sources} ${tests} ${cutestSources} \
	-framework CoreFoundation \
	-o AllTests 

time ./AllTests