#ifndef FUNCTION_NAME_H
#define FUNCTION_NAME_H

const char* ENTER_INIT = "fmiEnterInitializationMode";
const char* ENTER_INIT_SIGNATURE = "()I";
const char* EXIT_INIT = "fmiExitInitializationMode";
const char* EXIT_INIT_SIGNATURE = "()I";
const char* SETUP_EXPERIMENT = "fmiSetupExperiment";
const char* SETUP_EXPERIMENT_SIGNATURE = "(IDDID)I";
const char* RESET = "fmiExitInitializationMode";
const char* RESET_SIGNATURE = "()I";
const char* TERMINATE = "fmiTerminate";
const char* TERMINATE_SIGNATURE = "()I";

const char* GET_REAL = "fmiGetReal";
const char* GET_REAL_SIGNATURE = "([I)[D";
const char* GET_INTEGER = "fmiGetInteger";
const char* GET_INTEGER_SIGNATURE = "([I)[I";
const char* GET_BOOLEAN = "fmiGetBoolean";
const char* GET_BOOLEAN_SIGNATURE = "([I)[I";
const char* GET_STRING = "fmiGetString";
const char* GET_STRING_SIGNATURE = "([I)[Ljava/lang/String;";

const char* SET_REAL = "fmiSetReal";
const char* SET_REAL_SIGNATURE = "([I[D)I";
const char* SET_INTEGER = "fmiSetInteger";
const char* SET_INTEGER_SIGNATURE = "([I[I)I";
const char* SET_BOOLEAN = "fmiSetBoolean";
const char* SET_BOOLEAN_SIGNATURE = "([I[I)I";
const char* SET_STRING = "fmiSetString";
const char* SET_STRING_SIGNATURE = "([I[Ljava/lang/String;)I";

const char* DO_STEP = "fmiDoStep";
const char* DO_STEP_SIGNATURE = "(DDI)I";
const char* CANCEL_STEP = "fmiCancelStep";
const char* CANCEL_STEP_SIGNATURE = "()I";

const char* GET_DIRECTIONAL_DERIVATIVES = "fmiGetDirectionalDerivative";
const char* GET_DIRECTIONAL_DERIVATIVES_SIGNATURE = "([I[I[D)[D";
const char* GET_REAL_OUTPUT_DERIVATIVES = "fmiGetRealOutputDerivatives";
const char* GET_REAL_OUTPUT_DERIVATIVES_SIGNATURE = "([I[I)[D";
const char* SET_REAL_INPUT_DERIVATIVES = "fmiSetRealInputDerivatives";
const char* SET_REAL_INPUT_DERIVATIVES_SIGNATURE = "([I[I[D)I";


#endif